package com.schoolinout.api.domain.vo;

import com.schoolinout.system.domain.AccessLog;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * @author sakura
 * @date 2024/1/11 15:15:49 Thu
 */
@Schema(name = "客户端学生信息详情实体")
public class Api_StudentInfoVo {

    @Schema(description = "学生id")
    private Long studentId;
    @Schema(description = "学生性别")
    private String studentGender;
    @Schema(description = "学生姓名")
    private String studentName;
    @Schema(description = "学生学号")
    private String studentNum;
    @Schema(description = "学生照片")
    private String studentPic;
    @Schema(description = "学校姓名")
    private String schoolName;
    @Schema(description = "班级姓名")
    private String className;
    @Schema(description = "进出学校记录")
    private List<AccessLog> inoutRecordList;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentGender() {
        return studentGender;
    }

    public void setStudentGender(String studentGender) {
        this.studentGender = studentGender;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(String studentNum) {
        this.studentNum = studentNum;
    }

    public String getStudentPic() {
        return studentPic;
    }

    public void setStudentPic(String studentPic) {
        this.studentPic = studentPic;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public List<AccessLog> getInoutRecordList() {
        return inoutRecordList;
    }

    public void setInoutRecordList(List<AccessLog> inoutRecordList) {
        this.inoutRecordList = inoutRecordList;
    }
}
